## com.puppycrawl.tools.checkstyle.checks.whitespace
Class FileTabCharacterCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  com.puppycrawl.tools.checkstyle.checks.whitespace.FileTabCharacterCheck

All Implemented Interfaces:
  Configurable, Contextualizable, FileSetCheck

    public class FileTabCharacterCheck

extends AbstractFileSetCheck

Checks to see if a file contains a tab character.

Author:
  oliverb

Constructor Summary
`FileTabCharacterCheck()`

Method Summary
`protected void` `processFiltered(File aFile, List<String> aLines)` Called to process a file that matches the specified file extensions.
`void` `setEachLine(boolean aEachLine)` Whether report on each line containing a tab.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`beginProcessing, destroy, finishProcessing, fireErrors, getMessageCollector, getMessageDispatcher, init, log, log, process, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### FileTabCharacterCheck

    public FileTabCharacterCheck()

Method Detail

### processFiltered

    protected void processFiltered(File aFile,
                                   List<String> aLines)

  Description copied from class: `AbstractFileSetCheck`
  Called to process a file that matches the specified file extensions.

  Specified by:
    `processFiltered` in class `AbstractFileSetCheck`
  Parameters:
    `aFile` - the file to be processed
    `aLines` - an immutable list of the contents of the file.

### setEachLine

    public void setEachLine(boolean aEachLine)

  Whether report on each line containing a tab.

  Parameters:
    `aEachLine` - Whether report on each line containing a tab.

Copyright © 2001-2011. All Rights Reserved.